Bug 1125793 - [RHEL6] net-snmp "storageUseNFS 2" option does not report NFS mount as "Fixed Disks"
Summary: [RHEL6] net-snmp "storageUseNFS 2" option does not report NFS mount as "Fixed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: Dalibor Pospíšil
URL:
Whiteboard:
Depends On:
Blocks: 1075802
TreeView+ depends on / blocked
 
Reported: 2014-08-01 04:42 UTC by Nilesh Parmar
Modified: 2019-07-11 08:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: snmpd ignored value of 'storageUseNFS' option in /etc/snmpd/snmpd.conf Consequence: NFS drives were shown as 'Network Disks', even though 'storageUseNFS' was set to '2', i.e. to report them as 'Fixed Disks' in HOST-RESOURCES-MIB::hrStorageTable. Fix: snmpd now takes 'storageUseNFS' option value into account. Result: When set to '2', NFS drives are reported as 'Fixed Disks'.
Clone Of:
: 1193006 (view as bug list)
Environment:
Last Closed: 2015-07-22 07:22:52 UTC


Attachments (Terms of Use)
Patch (814 bytes, patch)
2014-08-04 14:14 UTC, Jan Safranek
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1385 normal SHIPPED_LIVE Moderate: net-snmp security and bug fix update 2015-07-20 18:07:39 UTC

Description Nilesh Parmar 2014-08-01 04:42:06 UTC
Description of problem:
net-snmp "storageUseNFS 2" option does not report NFS mount as "Fixed Disks"
 
Version-Release number of selected component (if applicable):
net-snmp-5.5-49.el6_5.1

How reproducible:
Always

Steps to Reproduce:
1. set storageUseNFS 2 in /etc/snmp/snmpd.conf file
2. Execute snmpwalk against "HOST-RESOURCES-MIB::hrStorageTable" and check output

Actual results:
NFS share reported as hrStorageNetworkDisk

Expected results:
NFS share should be reported as hrStorageFixedDisk

Additional info: 

Reproducer:
+++++++++++++++++++

[root@localhost ~]# df -h
Filesystem            Size  Used Avail Use% Mounted on
...
192.168.122.137:/mnt/share
                      5.8G  3.1G  2.4G  57% /media

HOST-RESOURCES-MIB::hrStorageIndex.40 = INTEGER: 40
HOST-RESOURCES-MIB::hrStorageIndex.43 = INTEGER: 43
...
HOST-RESOURCES-MIB::hrStorageType.40 = OID: HOST-RESOURCES-TYPES::hrStorageFixedDisk
HOST-RESOURCES-MIB::hrStorageType.43 = OID: HOST-RESOURCES-TYPES::hrStorageNetworkDisk                                  <---
...
HOST-RESOURCES-MIB::hrStorageDescr.40 = STRING: /home
HOST-RESOURCES-MIB::hrStorageDescr.43 = STRING: /media  <---
+++++++++++++++++++

Comment 1 Nilesh Parmar 2014-08-01 04:42:29 UTC
Customer is using  Whatsup Gold" monitoring tool which only reports on the status of what it considers to be fixed disk. 

It's documentation makes that clear, and thus requires that all the systems report nfs mounts as fixed disk. Without this, no ability to monitor the disk sizes of NFS disk.

Production systems had run out of space because this monitor didn't catch it.

Comment 3 Jan Safranek 2014-08-04 14:14:36 UTC
Created attachment 923892 [details]
Patch

Comment 7 errata-xmlrpc 2015-07-22 07:22:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1385.html


Note You need to log in before you can comment on or make changes to this bug.